path: /build/build/macaroni-funtoo-race10-seed-0.20250328.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp
  - luet install virtual-entities/base --force
  - luet install --force system/luet-devkit utils/jq utils/yq app-admin/macaronictl
    dev-util/pkgs-checker-minimal kernel-5.10/macaroni-lts-sources && eselect kernel
    set 1 && luet cleanup
  - cat /etc/luet/luet.yaml && luet miner ri virtual/base virtual/sh && luet repo
    update --force && luet upgrade && luet i toolchain/base-extra toolchain/base-python
    toolchain/base-tools toolchain/base-tools2 toolchain/extra-net toolchain/extra-lang
    toolchain/extra-dev toolchain/extra-server toolchain/extra-db toolchain/extra-telemetry
    toolchain/extra-java toolchain/extra-xorg && luet cleanup && /usr/bin/gcc-config
    1 && eselect gcc set 1 && eselect rust cleanup && mkdir -p /var/lib/portage &&
    epro list && eval 'rm /etc/localtime || true' && ln -s /usr/share/zoneinfo/Europe/Rome
    /etc/localtime && echo "PYTHONPATH=\"/usr/lib64/python3.9/site-packages/\"" >
    /etc/env.d/99python && echo "PORTAGE_PYTHONPATH=\"/usr/lib64/python3.9/site-packages/\""
    >> /etc/env.d/99python && macaronictl env-update && eval 'locale-gen || true'
    && build-docbook-catalog && whip hook eclass_db.db_fix_so && whip hook perl.postinst
    && cd / && rm -rf /luetbuild && eval 'mkdir -p /var/cache/portage/distfiles ||
    true' && chown portage:portage -R /var/cache/portage/ && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  - GENTOO_MIRRORS="https://distfiles.macaronios.org https://dl.macaronios.org/repos/distfiles"
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-race10
    version: "0.20250328"
    category: seed
    hidden: true
    buildtimestamp: 2025-03-28 14:47:45.589174812 +0000 UTC m=+1855.830757412
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:a8d6ac68748f4d15d729c9c5bf6a7e555410eccbe1020d31d19a3daaa6e9ed43
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-race10
  version: "0.20250328"
  category: seed
  hidden: true
